<?php

/**
* @author Steven | www.phreakyourgeek.com
* @contact htmlpro@gmail.com
* @copyright 2009
* @software plugin -> MyBB
*/

if(!defined("IN_MYBB"))
{
	die('You cannot directly access this file. To use, activate the "Direct Plugin Upload" plugin from the MyBB admin panel.');
}

$plugins->add_hook("admin_config_plugins_plugin_list", "uploadplugin_execute");

function uploadplugin_info()
{
	return array(
		'name' => 'Steven\'s Direct Plugin Upload',
		'description' => 'Allows plugins to be uploaded directly from the admin panel.',
		'website' => 'http://www.phreakyourgeek.com/',
		'author' => 'Steven',
		'authorsite' => 'http://www.phreakyourgeek.com/info.php',
		'version' => '1.0.0',
		'compatibility' => '14*'
	);
}

function uploadplugin_activate()
{
	
}

function uploadplugin_deactivate()
{
	
}

function uploadplugin_execute()
{
	switch(trim($_GET['pluginuploadstatus']))
	{
		case '1':
			echo '<div id="flash_message" class="success">The plugin has been uploaded successfully. You can now activate it below.</div>';
		break;
		
		case '2':
			echo '<div id="flash_message" class="error">A problem occurred while uploading the plugin file. Please try again.</div>';
		break;
		
		case '3':
			echo '<div id="flash_message" class="error">The plugin you tried to upload already exists.</div>';
		break;
		
		case '4':
			echo '<div id="flash_message" class="error">Only *.php files can be uploaded.</div>';
		break;
		
		case '5':
			echo '<div id="flash_message" class="error">No plugin chosen to upload.</div>';
		break;
	}
	
	echo '
<form action="./upload_plugin.php" method="post" enctype="multipart/form-data">
<div class="border_wrapper">
	<div class="title">Upload Plugin</div>
<table class="general form_container " cellspacing="0">
	<tbody>
		<tr class="first">
			<td class="first">
				<div class="description"><br />Use the form below to upload a plugin. <strong>This must be the direct *.php file!</strong><br /></div>
				<div class="form_row">
					<label for="pluginfile"><input type="file" name="pluginfile" id="pluginfile" size="50" />
					<div style="float:right;"><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=htmlpro%40gmail%2ecom&lc=US&item_name=Steven%27s%20Scripts%2fDonation%2fHosting%20Costs&currency_code=USD&bn=PP%2dDonationsBF%3adonate_button%2epng%3aNonHosted" target="_blank" title="Find my plugin useful? A donation is always helpful to cover hosting and development costs."><img src="https://www.paypal.com/en_US/i/btn/btn_donate_SM.gif" alt="Donate" /></a></div>
				</div>
			</td>
		</tr>
	</tbody>
</table>
</div><div class="form_button_wrapper">
<input type="submit" value="Upload Plugin" name="plugin_upload_submit" class="submit_button" />
</div>
<br /></form>';
}

?>